## libfprint 1.90.5

=== debian/changelog ===
libfprint (1:1.90.5-2~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 20 Jan 2021 15:21:48 -0500

libfprint (1:1.90.5-2) unstable; urgency=medium

  * d/p/fpi-device-Return-proper-type-on-identification-success.patch,
    d/p/test-fpi-device-Always-check-the-return-values-for-the-AP.patch:
    - Properly handle identify return value and add tests.
      This fixes fprintd test failures in s390x
  * d/p/fp-print-Don-t-byte-swap-two-times-the-NBIS-array-content.patch:
    - Fixes virtual-image test in libfprint for s390x
  * debian/control: Add myself to Uploaders

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Dec 2020 17:53:32 +0100

libfprint (1:1.90.5-1) unstable; urgency=medium

  * New upstream release:
    - Remove USB hub from udev autosupend rules
    - synaptics: Add PID 0x00c9 which is used in some HP laptops
  * debian/patches: Use gbp pq topics for debian-specific patches

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Dec 2020 05:11:33 +0100

libfprint (1:1.90.4-1) unstable; urgency=medium

  * Team upload.
  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Work around GUsb cancellation issue
    - Redefine internal image device state machine for more robustness
    - Add public finger-status reporting to FpDevice
    - Rework device removal API to be convenient
    - Enable powersave for unsupported USB devices (LP: #1905603)
    - Improvements to examples
    - synaptics: Support identify operation (LP: #1905600)
    - synaptics: Fix possible crash when the interrupt transfer is resubmitted
    - synaptics: Add support for PIDs 0x00f9, 0x00fc and 0x00c2
    - elan: Add PID 0x0c4d to supported device list
    - aes3k: Fix driver and add CI test (LP: #1897613)
    - uru4000: Fix reference counting of image transfer
    - vfs301: Fix driver and add CI test (LP: #1905597, Closes: #951648)
  * debian/libfprint-2-2.symbols: Add new symbols
  * debian/rules: Also build the virtual drivers, as they're useful for
    testing libfprint and fprintd

  [ Laurent Bigonville ]
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 01 Dec 2020 11:36:08 +0100

libfprint (1:1.90.3-1) unstable; urgency=medium

  * Team upload.
  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Fixed crash in VFS0050 (LP: #1876502)
    - Enrollment fails with UPEK reader (LP: #1881380)
    - Lots of various drivers fixes
    - As per a patch for nbis required for some sensors that was accidentally
      dropped in an earlier release. Users of sensors/drivers aes1610, aes2501,
      aes2550, aes1660, aes2660, elan, upektc_img) need to re-enroll
  * d/p/git_reading_pointer.patch:
    - Dopped (applied upstream)

  [ Laurent Bigonville ]
  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sun, 15 Nov 2020 16:05:30 +0100

=== debian/control ===
Source: libfprint
Priority: optional
Section: libs
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
Uploaders: Ulises Vitulli <dererk@debian.org>, Didier Raboud <odyx@debian.org>,
           Marco Trevisan <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 12),
               gobject-introspection,
               gtk-doc-tools,
               libcairo-dev <!nocheck>,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.56),
               libgusb-dev (>= 0.3.0),
               libnss3-dev,
               libpixman-1-dev,
               meson (>= 0.49.0),
               python3 <!nocheck>,
               python3-cairo <!nocheck>,
               python3-gi <!nocheck>,
               umockdev <!nocheck>
Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
Standards-Version: 4.5.1
Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
Vcs-Browser: https://salsa.debian.org/debian/libfprint
Vcs-Git: https://salsa.debian.org/debian/libfprint.git

Package: libfprint-2-2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: async fingerprint library of fprint project, shared libraries
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package provides shared libraries.

Package: libfprint-2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-fprint-2.0 (= ${binary:Version}),
         libfprint-2-2 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libfprint-2-doc
Description: async fingerprint library of fprint project, development headers
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package provides development headers.

Package: libfprint-2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: async fingerprint library of fprint project, API documentation
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package provides the API documentation.

Package: gir1.2-fprint-2.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: async fingerprint library of fprint project, gir bindings
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL = 2

# Configuration arguments
CONFIG_ARGS = -Dudev_rules_dir=/lib/udev/rules.d -Dgtk-examples=false \
              -Ddrivers=all

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_install:
	mv debian/tmp/lib/udev/rules.d/60-libfprint-2-autosuspend.rules \
		debian/tmp/lib/udev/rules.d/60-libfprint-2.rules
	sed -i '/^Requires.private\|^Libs.private/ d' \
		debian/tmp/usr/lib/*/pkgconfig/libfprint-2.pc
	dh_install

override_dh_auto_test:
	# don't fail build on s390x, some tests are failing but upstream
	# isn't interested in spending energy on this at the moment
	# see https://gitlab.freedesktop.org/libfprint/libfprint/issues/236
ifneq (,$(filter $(DEB_HOST_ARCH),s390x))
	dh_auto_test || true
else
	dh_auto_test
endif

## libfprint 1.90.7

=== meson_options.txt ===
option('drivers',
       description: 'Drivers to integrate, "default" selects the default set, "all" selects all drivers',
       type: 'string',
       value: 'default')
option('introspection',
       description: 'Build GObject Introspection repository',
       type: 'boolean',
       value: true)
option('udev_rules',
       description: 'Whether to create a udev rules file',
       type: 'boolean',
       value: true)
option('udev_rules_dir',
       description: 'Installation path for udev rules',
       type: 'string',
       value: 'auto')
option('gtk-examples',
       description: 'Whether to build GTK+ example applications',
       type: 'boolean',
       value: false)
option('doc',
       description: 'Whether to build the API documentation',
       type: 'boolean',
       value: true)

=== debian/changelog ===
libfprint (1:1.90.7-2) unstable; urgency=medium

  * debian/patches: Skip udev rules tests when not all drivers are compiled
  * debian/libfprint-2-2.postinst: Regenerate the udev list based on new IDs

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 21 Jan 2021 17:10:57 +0100

libfprint (1:1.90.7-1) unstable; urgency=medium

  * New upstream release:
    - vfs5011: Fix possible use-after-free
    - goodixmoc: Add two new PIDs (0x63AC, 0x639C)
    - goodixmoc: Support finger status API
    - synaptics: Only identify within provided prints
    - synaptics: Reject devices with old firmware during probe (#239)
  * debian/patches:
    - Refresh, dropping merged
    - Include upstream udev fixes and use hardcoded rules
    - Ensure that umockdev tests will pass with libusb 1.0.24
      (Closes: #977848, #978256)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 21 Jan 2021 13:38:59 +0100

libfprint (1:1.90.6-2) unstable; urgency=medium

  * d/p/meson-Do-not-support-drivers-known-to-fail-in-Big-Endian-.patch:
    - Do not enable drivers that are not supported by big endian archs
      Upstream patch to only build drivers everywhere but not include them
      in the supported list or test them

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 10 Dec 2020 21:32:49 +0100

libfprint (1:1.90.6-1) unstable; urgency=medium

  * New upstream release:
    - fp_print_deserialize will now correctly return a sunken reference
    - Object reference management fixes for FpPrint and identify
    - Fixed issues that caused problem on non-x86 machines (#236)
    - Fix building with older GLib versions
    - synaptics: Support PID 00e7
    - goodix: Fix issue with long USB packages
  * debian/control:
    - Remove Didier Raboud from uploaders (as he requested via bigon).
    - Mark libfprint-2-doc as Multi-Arch: foreign
  * debian/rules:
    - Ignore tests failures in s390x as it now builds and tests correctly
    - Increase testing timeout.
  * debian/{control,rules,*.install}:
    - Switch to debhelper 13 and use its features.
      As per this restrict more the .install files wilcards
  * debian/gbp.conf: Include suggested settings by GNOME team.
    - Even if libfprint is not part of GNOME I think these settings are good
      practice anyways.
  * debian/patches:
    - Refresh
    - Add upstream patch to avoid nbis library warnings.
      These have been checked to be harmless upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 10 Dec 2020 15:58:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: libfprint
 Priority: optional
 Section: libs
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
-XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
-Uploaders: Ulises Vitulli <dererk@debian.org>, Didier Raboud <odyx@debian.org>,
+Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Uploaders: Ulises Vitulli <dererk@debian.org>,
            Marco Trevisan <marco@ubuntu.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gobject-introspection,
                gtk-doc-tools,
                libcairo-dev <!nocheck>,
@@ -75,6 +74,7 @@
 Package: libfprint-2-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: async fingerprint library of fprint project, API documentation
  The fprint project aims to support for consumer fingerprint reader devices.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 2
+
+BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
 
 # Configuration arguments
 CONFIG_ARGS = -Dudev_rules_dir=/lib/udev/rules.d -Dgtk-examples=false \
@@ -20,12 +22,4 @@
 	dh_install
 
 override_dh_auto_test:
-	# don't fail build on s390x, some tests are failing but upstream
-	# isn't interested in spending energy on this at the moment
-	# see https://gitlab.freedesktop.org/libfprint/libfprint/issues/236
-ifneq (,$(filter $(DEB_HOST_ARCH),s390x))
-	dh_auto_test || true
-else
-	dh_auto_test
-endif
-
+	dh_auto_test -- -C $(BUILDDIR) --timeout-multiplier 5

=== debian/watch ===
version=4

https://gitlab.freedesktop.org/libfprint/libfprint/tags?sort=updated_desc \
  archive/v(?:[^/]*)/libfprint-v(\d\S*)@ARCHIVE_EXT@

## libfprint 1.90.7+git20210222+tod1

=== meson_options.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
        description: 'Whether to create a udev rules file',
        type: 'boolean',
        value: true)
-option('udev_rules_dir',
-       description: 'Installation path for udev rules',
+option('udev_hwdb_dir',
+       description: 'Installation path for udev hwdb',
        type: 'string',
        value: 'auto')
 option('gtk-examples',
@@ -22,3 +22,8 @@
        description: 'Whether to build the API documentation',
        type: 'boolean',
        value: true)
+
+option('tod',
+       description: 'Whether to build the TOD library',
+       type: 'boolean',
+       value: true)

=== debian/changelog ===
libfprint (1:1.90.7+git20210222+tod1-0ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:15:26 +0200

libfprint (1:1.90.7+git20210222+tod1-0ubuntu2) hirsute; urgency=medium

  * Disable lto for now, failing test
    ibfprint:unit-tests+tod+fake_test_dev_tod_current / fpi-device-tod-fake_test_dev_tod_current

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Mar 2021 15:01:02 +0200

libfprint (1:1.90.7+git20210222+tod1-0ubuntu1) hirsute; urgency=medium

  * New upstream TOD release
  * Merge common packaging bits with debian
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop, they're all applied upstream
  * debian/libfprint-2-2.symbols: Update symbols
  * debian/update-udev-triggers.sh: Ignore udevadm trigger failures
    (LP: #1909023)
  * debian/libfprint-2-2.postinst: Regenerate as per generator changes
    (LP: #1909023)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 22 Feb 2021 21:39:04 +0100

libfprint (1:1.90.7-3) experimental; urgency=medium

  * gbp.conf: Prepare for experimental branching
  * debian/patches:
    - Use hwdb to store device autosuspend rules and drop debian specifics.
      Upstream will use an hwdb to store the device autosuspend (that will be
      included in systemd also, so libfprint packagin may stop shipping it at
      later point), so use it earlier.
      Drop the debian specific rules to set the devices part of the `plugdev`
      group as such devices should not be ever readable by an user, but the
      access should be managed through a libfprint-based service (frpintd at
      the date).
    - Explicitly mark libfprint as a shared library
  * libfprint-2-2.install: Install hwdb file
  * debian/rules:
    - Do not autorename upstream rules file anymore.
      It's not there, while there's no point to rename the hwdb one.
    - Manually set udev hwdb directory (was rules dir before)
    - Don't remove the meson generated private values from pc file.
      This is now generated correctly by upstream, so no need to drop anything
      from it.
  * debian: Generate postinst devices list automatically at gbp import phase.
    Alternatively provide a script to keep the post-inst script updated
  * debian/libfprint-2-2.postinst: Upgrade as per upstream hwdb.
    Blacklisted devices can be now removed from the trigger list as we don't
    add them to plugdev anymore.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 21 Jan 2021 19:53:12 +0100

libfprint (1:1.90.6+tod1-0ubuntu2) hirsute; urgency=medium

  * d/p/meson-Do-not-support-drivers-known-to-fail-in-Big-Endian-.patch:
    - Do not enable drivers that are not supported by big endian archs
      Upstream patch to only build drivers everywhere but not include them
      in the supported list or test them

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 10 Dec 2020 21:37:13 +0100

libfprint (1:1.90.6+tod1-0ubuntu1) hirsute; urgency=medium

  * New upstream release
    - fp_print_deserialize will now correctly return a sunken reference
    - Object reference management fixes for FpPrint and identify
    - Fixed issues that caused problem on non-x86 machines (#236)
    - Fix building with older GLib versions
    - synaptics: Support PID 00e7
    - goodix: Fix issue with long USB packages
  * Mark libfprint-2-doc as Multi-Arch: foreign
  * debian/control: Remove Didier Raboud from uploaders
  * debian/rules: sync with debian (no change)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 10 Dec 2020 17:26:27 +0100

libfprint (1:1.90.5+tod1-0ubuntu1) hirsute; urgency=medium

  * New upstream release:
    - Work around GUsb cancellation issue
    - Redefine internal image device state machine for more robustness
    - Add public finger-status reporting to FpDevice
    - Rework device removal API to be convenient
    - Enable powersave for unsupported USB devices
    - Improvements to examples
    - synaptics: Support identify operation
    - synaptics: Fix possible crash when the interrupt transfer is resubmitted
    - synaptics: Add support for PIDs 0x00f9, 0x00fc, 0x00c2 and 0x00c9
    - elan: Add PID 0x0c4d to supported device list
    - aes3k: Fix driver and add CI test
    - uru4000: Fix reference counting of image transfer
    - vfs301: Fix driver and add CI test
  * debian/control:
    - Switch to debhelper 13 and use its features
    - Add myself to Uploaders
  * debian/rules:
    - Ignore failures in s390x as it now builds and tests correctly
    - Switch to debhelper 13 and use its features
    - Increase testing timeout
    - Also build the virtual drivers, as they're useful for
      testing libfprint and fprintd
  * debian/libfprint-2-2.symbols: Add new symbols
  * debian/libfprint-2-tod1.symbols: Add new symbols
  * debian/libfprint.lintian-overrides: Add override for binary TOD for testing
  * debian/patches:
    - Drop patches applied upstream
    - Use gbp pq topics for debian-specific patches

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 04 Dec 2020 03:57:04 +0100

libfprint (1:1.90.3+tod1-0ubuntu3) hirsute; urgency=medium

  * debian/patches:
    - Reorder to give upstream more priority
    - Don't use power-save mode for USB controller (LP: #1906296)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 30 Nov 2020 20:24:59 +0100

libfprint (1:1.90.3+tod1-0ubuntu2) hirsute; urgency=medium

  * debian/gbp.conf: Include debian's GNOME team preferred settings
  * debian/patches (upstream cherry-picks):
    - Properly handle aes3k devices, resubmitting commands.
      This also needs proper commands cancellation (LP: #1897613)
    - Add support for new Synaptics devices IDs (LP: #1905593)
    - Fix vfs301 verification using device pointer on callbacks (LP: #1905597)
    - Ensure we do not waste power for unsupported devices (LP: #1905603)
    - Add identification support to synaptics driver.


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libfprint
 Priority: optional
 Section: libs
-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
 Uploaders: Ulises Vitulli <dererk@debian.org>,
            Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -21,8 +22,8 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
 Standards-Version: 4.5.1
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/debian/libfprint
-Vcs-Git: https://salsa.debian.org/debian/libfprint.git
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b ubuntu
 
 Package: libfprint-2-2
 Architecture: any
@@ -116,3 +117,55 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
+
+Package: libfprint-2-tod1
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: async fingerprint library of fprint project, drivers shared libraries
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package provides shared libraries for the TOD drivers.
+
+Package: libfprint-2-tod-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libfprint-2-tod1 (= ${binary:Version}),
+         libfprint-2-dev (= ${binary:Version}),
+         libglib2.0-dev (>= 2.56),
+         libgusb-dev (>= 0.2.0),
+         libpixman-1-dev,
+         libnss3-dev,
+         ${misc:Depends}
+Description: async fingerprint library of fprint project, drivers development headers
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package provides development headers for creating device drivers.
+ An example driver is available at:
+ https://gitlab.freedesktop.org/3v1n0/libfprint-tod-example-driver

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = optimize=-lto

export DPKG_GENSYMBOLS_CHECK_LEVEL = 2

BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

# Configuration arguments
CONFIG_ARGS = \
	-Dudev_hwdb_dir=/lib/udev/hwdb.d \
	-Ddrivers=all \
	-Dgtk-examples=false

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_auto_test:
	dh_auto_test -- -C $(BUILDDIR) --timeout-multiplier 5

## libfprint 1.94.3%2Btod1

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Section: libs
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
-Uploaders: Ulises Vitulli <dererk@debian.org>,
-           Marco Trevisan <marco@ubuntu.com>
+Uploaders: Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                gobject-introspection,
                gtk-doc-tools,
                libcairo-dev <!nocheck>,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.56),
+               libgudev-1.0-dev,
                libgusb-dev (>= 0.3.0),
                libnss3-dev,
                libpixman-1-dev,
@@ -22,8 +22,8 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
 Standards-Version: 4.5.1
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint
-Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b ubuntu
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint/tree/jammy
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b jammy
 
 Package: libfprint-2-2
 Architecture: any
@@ -147,6 +147,7 @@
 Depends: libfprint-2-tod1 (= ${binary:Version}),
          libfprint-2-dev (= ${binary:Version}),
          libglib2.0-dev (>= 2.56),
+         libgudev-1.0-dev,
          libgusb-dev (>= 0.2.0),
          libpixman-1-dev,
          libnss3-dev,

## libfprint 1.94.3+tod1

=== meson_options.txt ===
--- 
+++ 
@@ -7,9 +7,17 @@
        type: 'boolean',
        value: true)
 option('udev_rules',
-       description: 'Whether to create a udev rules file',
-       type: 'boolean',
-       value: true)
+       description: 'Whether to create and install udev rules (auto: turn on when needed by a driver)',
+       type: 'feature',
+       value: 'auto')
+option('udev_rules_dir',
+       description: 'Installation path for udev rules',
+       type: 'string',
+       value: 'auto')
+option('udev_hwdb',
+       description: 'Whether to create a udev hwdb for autosuspend (included in systemd v248 and later)',
+       type: 'feature',
+       value: 'auto')
 option('udev_hwdb_dir',
        description: 'Installation path for udev hwdb',
        type: 'string',

=== debian/changelog ===
libfprint (1:1.94.3+tod1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1944369)
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/libfprint-2-tod1.symbols: Add new symbols
  * debian/docs: Update README name to use markdown file
  * tod: Ensure we install tod-macros.h header

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 27 Mar 2022 23:48:11 +0200

libfprint (1:1.94.2+tod1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1950438)
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop, all applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 14 Dec 2021 19:57:05 +0100

libfprint (1:1.94.1+tod1-0ubuntu2) jammy; urgency=medium

  * debian/patches: Ensure that structures padding is constant in all archs

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 31 Oct 2021 23:13:40 +0100

libfprint (1:1.94.1+tod1-0ubuntu1) jammy; urgency=medium

  * Merge common packaging bits with debian
  * New TOD fork upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/source/lintian-overrides: Update for new TOD drivers paths
  * debian/patches: Drop, all applied on the TOD upstream branch
  * debian/libfprint-2-tod1.symbols: Update TOD symbols
  * debian/libfprint-2-2.symbols: Remove virtual device symbols.
    These were wrongly exported before and not really part of any public
    API.
  * debian/control: Depend libfprint-2-tod-dev on libgudev-1.0-dev

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 28 Oct 2021 20:32:43 +0200

libfprint (1:1.94.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Remove all patches, they've been applied upstream
  * debian/patches: Fix template struct in goodix drivers (LP: #1945296)
  * debian/patches: Add support for new elan and goodix PIDs
  * debian/libfprint-2-2.postinst: Update to match new PIDs
  * debian: Build-depend on gudev-1, and set back rules dir.
    This is needed for SPI devices
  * debian/patches: Fix test device descriptors to get tests passing
  * debian/libfprint-2-2.symbols: Add new symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 27 Oct 2021 15:17:09 +0200

libfprint (1:1.90.7+git20210222+tod1-0ubuntu4) jammy; urgency=medium

  * debian/patches: Add support for new elan, goodix and synaptics drivers.
    Most of the drivers only need to list new product IDs to work with new
    devices, and including other changes that new devices may require.
    (LP: #1945296, #1945298)
  * debian/patches: Fix template struct in goodix drivers (LP: #1945296)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 26 Oct 2021 21:24:40 +0200

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
 Standards-Version: 4.5.1
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint/tree/jammy
-Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b jammy
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b ubuntu
 
 Package: libfprint-2-2
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
-
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 2
 
 BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
@@ -9,6 +8,7 @@
 # Configuration arguments
 CONFIG_ARGS = \
 	-Dudev_hwdb_dir=/lib/udev/hwdb.d \
+	-Dudev_rules_dir=/lib/udev/rules.d \
 	-Ddrivers=all \
 	-Dgtk-examples=false

## libfprint 1.94.5

=== debian/changelog ===
libfprint (1:1.94.5-1) unstable; urgency=medium

  * New upstream release:
     - New driver: fpcmoc, supporting various FPC MOC Fingerprint Sensors
     - goodixmoc:
       + New PIDs 0x6014, 0x6094, 0x631C, 0x634C, 0x6384, 0x659A.
       + Support resetting device on firmware failure due to corrupted DB.
     - elanmoc: New PIDs 0x0c88, 0x0c8c, 0x0c8d.
     - synaptics: New PID 0x0104.
     - upektc: New PID 0x2017.
     - Fixed various memory leaks
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Cherry-pick post-release upstream cleanups
  * debian/docs: Update reference to README.md and remove TODO

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Oct 2022 01:09:06 +0200

libfprint (1:1.94.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/libfprint-2-*.install: Use more restrictive rules to reduce ubuntu
    delta
  * debian/update-udev-triggers: Ignore errors on udevadm trigger.
    These are not fatal for package installation and rebuild postinst script
  * debian/watch: Use @PACKAGE@
  * debian/patches: Drop, all applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Nov 2021 17:39:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libfprint
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
-Uploaders: Marco Trevisan <marco@ubuntu.com>
+Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Uploaders: Ulises Vitulli <dererk@debian.org>,
+           Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                gobject-introspection,
                gtk-doc-tools,
@@ -22,8 +22,8 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
 Standards-Version: 4.5.1
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint
-Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b ubuntu
+Vcs-Browser: https://salsa.debian.org/debian/libfprint
+Vcs-Git: https://salsa.debian.org/debian/libfprint.git
 
 Package: libfprint-2-2
 Architecture: any
@@ -117,56 +117,3 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
-
-Package: libfprint-2-tod1
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Description: async fingerprint library of fprint project, drivers shared libraries
- The fprint project aims to support for consumer fingerprint reader devices.
- .
- Previously, Linux support for such devices has been scattered amongst different
- projects (many incomplete) and inconsistent in that application developers
- would have to implement support for each type of fingerprint reader separately.
- The idea is to change that by providing a central system to support all the
- fingerprint readers as it's possible to get hands on.
- .
- libfprint is the centre of efforts, this component does the dirty job of
- talking to fingerprint reading devices, and processing fingerprint data.
- .
- This library depends on the new libusb, which performs asynchronous callbacks,
- allowing fprint to perform non-blocking device tasks.
- .
- This package provides shared libraries for the TOD drivers.
-
-Package: libfprint-2-tod-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: libfprint-2-tod1 (= ${binary:Version}),
-         libfprint-2-dev (= ${binary:Version}),
-         libglib2.0-dev (>= 2.56),
-         libgudev-1.0-dev,
-         libgusb-dev (>= 0.2.0),
-         libpixman-1-dev,
-         libnss3-dev,
-         ${misc:Depends}
-Description: async fingerprint library of fprint project, drivers development headers
- The fprint project aims to support for consumer fingerprint reader devices.
- .
- Previously, Linux support for such devices has been scattered amongst different
- projects (many incomplete) and inconsistent in that application developers
- would have to implement support for each type of fingerprint reader separately.
- The idea is to change that by providing a central system to support all the
- fingerprint readers as it's possible to get hands on.
- .
- libfprint is the centre of efforts, this component does the dirty job of
- talking to fingerprint reading devices, and processing fingerprint data.
- .
- This library depends on the new libusb, which performs asynchronous callbacks,
- allowing fprint to perform non-blocking device tasks.
- .
- This package provides development headers for creating device drivers.
- An example driver is available at:
- https://gitlab.freedesktop.org/3v1n0/libfprint-tod-example-driver

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 2
 
 BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

=== debian/watch ===
version=4

https://gitlab.freedesktop.org/libfprint/@PACKAGE@/tags?sort=updated_desc \
  archive/v(?:[^/]*)/@PACKAGE@-v(\d\S*)@ARCHIVE_EXT@

## libfprint 1.94.5+tod1

=== debian/changelog ===
libfprint (1:1.94.5+tod1-0ubuntu2) lunar; urgency=medium

  * debian/patches/git_tests_fix.patch:
    - cherry pick a fix for the tests failing with the new glib version
      (lp: #2013106)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 12 Apr 2023 10:45:01 +0200

libfprint (1:1.94.5+tod1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (LP: #1992855):
    - Supports new FPC MOC device
    - Avoid defining duplicated symbols in tod and libfprint (LP: #1992841)
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop all (applied upstream)
  * debian/libfprint-2-tod1.symbols: Add new symbols for shared drivers
  * debian/source: Remove include-binaries file, we've none now

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Oct 2022 00:18:27 +0200

libfprint (1:1.94.3+tod1-0ubuntu3) kinetic; urgency=medium

  * elanmoc: Add support for more supported PIDs.
    And include more tests for specific cases. (LP: #1989314)
  * debian/patches: Add support for more device PIDs supported upstream
  * debian/patches: Improve testing for various drivers

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 13 Oct 2022 13:55:39 +0200

libfprint (1:1.94.3+tod1-0ubuntu2) kinetic; urgency=medium

  * debian/patches: Ensure that identify works with old goodix driver
    (LP: #1966911)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 17 Jul 2022 17:37:33 +0200

## libfprint 1.94.6+tod1

=== debian/changelog ===
libfprint (1:1.94.6+tod1-0ubuntu3) mantic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Update changelog
  * Merge with debian changes
  * debian/patches: Remove execution bit from test asset

  [ Debian Janitor ]
  * Apply multi-arch hints. + libfprint-2-2: Drop Multi-Arch: same.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable)

  [ Andy Chi ]
  * d/p/synaptics-fix-enroll_identify-problem-after-user-reset-da.patch
    (LP: #2034481)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 07 Sep 2023 17:59:33 +0200

libfprint (1:1.94.6+tod1-0ubuntu2) mantic; urgency=medium

  * debian/control: Add explicit tests dependency on python3
  * debian/patches: Use proper rpath and permissions on installed libraries
  * debian/intian-overrides: Update lintian syntax to ignore built drivers
  * debian/rules: Always force building udev hwdb

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 23 Aug 2023 00:31:57 +0200

libfprint (1:1.94.6+tod1-0ubuntu1) mantic; urgency=medium

  * New upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop, applied upstream
  * debian: Add libfprint-2-tests package
  * debian/tests: Run installed tests as regression tests
  * debian/patches: Install current tod driver for installed tests
  * debian/patches: Use assets from correct paths

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 17 Aug 2023 21:53:59 +0200

libfprint (1:1.94.6-1) unstable; urgency=medium

  * New upstream release
  * debian/libfprint-2-2.postinst: Devices triggers updated
  * debian/patches: Drop, applied upstream
  * debian: Add libfprint-2-tests package
  * debian/patches: Use assets from correct paths
  * debian/rules: Always force building udev hwdb (Closes: #1024309)
  * fixup! debian/patches: Use assets from correct paths
  * debian/patches: Remove execution bit from test asset

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 23 Aug 2023 01:11:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,32 @@
 Source: libfprint
 Priority: optional
 Section: libs
-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
-Uploaders: Ulises Vitulli <dererk@debian.org>,
-           Marco Trevisan <marco@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Uploaders: Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                gobject-introspection,
                gtk-doc-tools,
                libcairo-dev <!nocheck>,
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.56),
+               libglib2.0-dev,
                libgudev-1.0-dev,
-               libgusb-dev (>= 0.3.0),
+               libgusb-dev,
                libnss3-dev,
                libpixman-1-dev,
-               meson (>= 0.49.0),
+               meson,
                python3 <!nocheck>,
                python3-cairo <!nocheck>,
                python3-gi <!nocheck>,
                umockdev <!nocheck>
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/debian/libfprint
-Vcs-Git: https://salsa.debian.org/debian/libfprint.git
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b ubuntu
 
 Package: libfprint-2-2
 Architecture: any
-Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: async fingerprint library of fprint project, shared libraries
@@ -117,3 +116,83 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
+
+Package: libfprint-2-tod1
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: async fingerprint library of fprint project, drivers shared libraries
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package provides shared libraries for the TOD drivers.
+
+Package: libfprint-2-tod-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libfprint-2-tod1 (= ${binary:Version}),
+         libfprint-2-dev (= ${binary:Version}),
+         libglib2.0-dev (>= 2.56),
+         libgudev-1.0-dev,
+         libgusb-dev (>= 0.2.0),
+         libpixman-1-dev,
+         libnss3-dev,
+         ${misc:Depends}
+Description: async fingerprint library of fprint project, drivers development headers
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package provides development headers for creating device drivers.
+ An example driver is available at:
+ https://gitlab.freedesktop.org/3v1n0/libfprint-tod-example-driver
+
+Package: libfprint-2-tests
+Architecture: any
+Depends: gir1.2-fprint-2.0 (= ${binary:Version}),
+         libfprint-2-2 (= ${binary:Version}),
+         python3,
+         python3-cairo,
+         python3-gi,
+         umockdev,
+         ${misc:Depends}, ${shlibs:Depends}
+Description: Tests for async fingerprint library of fprint project
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package contains test programs, designed to be run as part of a
+ regression testsuite.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,13 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 2
 
 BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
 
 # Configuration arguments
 CONFIG_ARGS = \
+	-Dudev_hwdb=enabled \
 	-Dudev_hwdb_dir=/lib/udev/hwdb.d \
 	-Dudev_rules_dir=/lib/udev/rules.d \
 	-Ddrivers=all \
